Package org.jfree.report.modules.gui.common

# Interface IconTheme

All Known Implementing Classes:
  `DefaultIconTheme`

public interface IconTheme
An Icon-Theme is an extension point to replace the icons that are used by JFreeReport. Icons provided by the theme must be available in two flavours: Large (24x24) and small (16x16).

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getLargeIcon(Locale locale, String id)`
`Icon`
`getSmallIcon(Locale locale, String id)`
`void`
`initialize(org.pentaho.reporting.libraries.base.config.Configuration configuration)`

## Method Details

### initialize

void initialize(org.pentaho.reporting.libraries.base.config.Configuration configuration)

### getSmallIcon

Icon getSmallIcon(Locale locale, String id)

### getLargeIcon

Icon getLargeIcon(Locale locale, String id)